DGraphAddressFunction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.feature
Class DGraphAddressFunction

    java.lang.Object
      org.maltparser.core.feature.function.AddressFunction
          org.maltparser.core.syntaxgraph.feature.DGraphAddressFunction

All Implemented Interfaces:
  Function

    public class DGraphAddressFunction

extends AddressFunction

Author:
  Johan Hall

Nested Class Summary
`static class` | `DGraphAddressFunction.DGraphSubFunction`

Field Summary

Fields inherited from class org.maltparser.core.feature.function.AddressFunction
`address`

Constructor Summary
`DGraphAddressFunction(String subFunctionName)`

Method Summary
`boolean` | `equals(Object obj)`
`AddressFunction` | `getAddressFunction()`
`Class<?>[]` | `getParameterTypes()` Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.
`DGraphAddressFunction.DGraphSubFunction` | `getSubFunction()`
`String` | `getSubFunctionName()`
`void` | `initialize(Object[] arguments)` Initialize the feature function
`void` | `setAddressFunction(AddressFunction addressFunction)`
`void` | `setSubFunctionName(String subFunctionName)`
`String` | `toString()`
`void` | `update()` Cause the feature function to update the feature value.
`void` | `update(Object[] arguments)`

Methods inherited from class org.maltparser.core.feature.function.AddressFunction
`getAddressValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DGraphAddressFunction

    public DGraphAddressFunction(String subFunctionName)

Method Detail

### initialize

    public void initialize(Object[] arguments)
                    throws MaltChainedException

  Description copied from interface: `Function`
  Initialize the feature function

  Parameters:
    `arguments` - an array of arguments with the type returned by getParameterTypes()
  Throws:
    `MaltChainedException`

### getParameterTypes

    public Class<?>[] getParameterTypes()

  Description copied from interface: `Function`
  Returns an array of class types used by the feature extraction system to invoke initialize with correct arguments.

  Returns:
    an array of class types

### update

    public void update()
                throws MaltChainedException

  Description copied from interface: `Function`
  Cause the feature function to update the feature value.

  Throws:
    `MaltChainedException`

### update

    public void update(Object[] arguments)
                throws MaltChainedException

  Specified by:
    `update` in class `AddressFunction`
  Throws:
    `MaltChainedException`

### getAddressFunction

    public AddressFunction getAddressFunction()

### setAddressFunction

    public void setAddressFunction(AddressFunction addressFunction)

### getSubFunctionName

    public String getSubFunctionName()

### setSubFunctionName

    public void setSubFunctionName(String subFunctionName)

### getSubFunction

    public DGraphAddressFunction.DGraphSubFunction getSubFunction()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `AddressFunction`

### toString

    public String toString()

  Overrides:
    `toString` in class `AddressFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.